Description

Supportanfrage

Ich kann den demo_processor Filter aus den Beispielen in ADTF 2.14 nicht laden:

Fehlermeldung: The class 'adtf.ecu_processor.demo' can not be loaded: Interface not supported

Woran liegt das? Was mache ich falsch?

Lösung

Known Problem -> #2426

Workaround -> Q: Demo ECU Processor could not be loaded - Interface not supported

Related issues:

Is duplicate of Public Support - Support Request #2426: ADTFS-48801 Demo ECU ... Closed

History

#1 - 2018-09-11 10:43 - hidden

- Status changed from New to In Progress

- Topic set to CalibrationTB::Common

Hallo Waldemar Kuznik,

sind auf deinem Rechner die Examples der Calibration Toolbox schon gebaut?

Wenn nicht, hole das bitte nach und gib uns bescheid, ob das Problem weiterhin besteht.

Gruß,

Michael

#2 - 2018-09-11 14:53 - hidden

- File demo_processor.PNG added

- File demo_processor.plb added

- File demo_processor.pdb added

Ich habe jetzt alles neu installiert. Das Beispiel neu kompilliert mit dem fix:

UCOM_EXPORT_INTERFACE_CAST(IID_ADTF_ECU_PROCESSOR, IEcuProcessor)

Der Filter ist geladen, jedoch nicht Component Tree sichtbar.

#5 - 2018-09-12 11:50 - hidden
https://support.digitalwerk.net/issues/2426
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported


Habt ihr vielleicht ein Beispiel für mich (wie der XCP_Emulator) wie ich den IEcuProcessor in einem Filter Nutzen kann?

Wie ich es jetzt verstanden habe ist das Projekt demo_processor nur ein Service, den ich in meinem Filter nutzen könnte, daher kann man ihn nicht

sehen. Ist das richtig?

Gruß

#6 - 2018-09-12 17:45 - hidden

- Is duplicate of Support Request #2426: ADTFS-48801 Demo ECU Processor could not be loaded - Interface not supported added

#7 - 2018-09-12 17:47 - hidden

- Subject changed from Calibration Toolbox / Beispiel demo_processor to Could not load Demo Ecu Processor

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Private changed from Yes to No

- Resolution set to Known Problem

- Product Issue Numbers set to

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported

Hallo Waldemar,

Ist leider ein bekanntes Problem, Workaround siehe FAQ's:

Q: Demo ECU Processor could not be loaded - Interface not supported

#8 - 2018-09-12 18:06 - hidden

Hallo Florian,

kannst du mir noch diese Fragen beantworten?

Habt ihr vielleicht ein Beispiel für mich (wie der XCP_Emulator) wie ich den IEcuProcessor in einem Filter Nutzen kann?

Wie ich es jetzt verstanden habe ist das Projekt demo_processor nur ein Service, den ich in meinem Filter nutzen könnte, daher kann man ihn nicht

sehen. Ist das richtig?

Gruß

#9 - 2018-09-12 18:14 - hidden

Hallo Waldemar,

nein, siehe Doku...

Der Demo ECU Processor ist ein Plugin, den du z.B. im XCP Emulator Filter verwenden kannst.

Deshalb "siehst" du ihn nicht in Form eines Filters.

Und laden kannst du ihn erst, wenn du ihn neu kompilierst mit der Änderung aus der FAQ.

#10 - 2018-09-17 09:13 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#11 - 2018-09-18 21:37 - hidden

Hallo Florian,

danke für die Antwort.

Kannst du mir noch die Frage beantworten?

Habt ihr vielleicht ein Beispiel für mich (wie der XCP_Emulator) wie ich den IEcuProcessor in einem Filter Nutzen kann?

Gruß

Waldemar

#12 - 2018-09-19 08:47 - hidden

Hallo Waldemar,

so ganz verstehe ich deinen Use Case nicht ?
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported
support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_demo_processor.html
support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_xcp_emu.html


1) Willst du nun einen ECU Processor implementieren ? Dann siehe Demo ECU Processor (Hinweis: Q: Demo ECU Processor could not be loaded -

Interface not supported nicht vergessen !)

2) Willst du einen XCP Emulator Filter nochmal implementieren... wenn ja, warum ? Nein dazu haben wir kein Bsp., einfach nutzen.

3) Willst du nur auf das Interface zugreifen ? Wenn ja, wie immer (Snippet):

cObjectPtr<IEcuProcessor> pProc;

// im Bsp. cString strOid = "adtf.ecu_processor.demo";

RETURN_IF_FAILED(_runtime->CreateInstance(strOid, IID_ADTF_ECU_PROCESSOR, (tVoid**) &pProc, NULL, 

__exception_ptr));

 4) Willst du ein Bsp. Setup ? Siehe Getting started

5) Kannst du den aktuellen Demo ECU Processor nur nicht verwenden im CE ? Wenn ja, das liegt an Q: Demo ECU Processor could not be loaded -

Interface not supported, das muss wie erwähnt mit der beschriebenen Änderung neu kompiliert werden (RelWithDebInfo/Debug)

#13 - 2018-09-19 08:47 - hidden

- Status changed from To Be Closed to Customer Feedback Required

#14 - 2018-09-19 16:56 - hidden

Vielen Dank für deine ausführliche Antwort. Ich versuche meine Signale über den ECU Processor einzuspeisen. Anscheinend habe ich ein Problem

mit dem Timing um ein Radar von Bosch zu bespeisen. Das Ticket kann geschlossen werden. Ich führe meine Kommunikation über das andere

Ticket weiter: https://support.digitalwerk.net/issues/4093

Danke für deine Hilfe, vielleicht kannst du dich bei dem andren Ticket beteiligen.

Gruß

Waldemar

#16 - 2018-09-20 08:06 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#17 - 2018-10-09 13:34 - hidden

- Status changed from To Be Closed to Closed

Files

demo_processor.PNG 11.7 KB 2018-09-11 hidden

demo_processor.plb 1.01 MB 2018-09-11 hidden

demo_processor.pdb 5.7 MB 2018-09-11 hidden

Powered by TCPDF (www.tcpdf.org)

2024-05-09 3/3

support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_demo_processor.html
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported
support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_xcp_emu.html
support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_getting_started.html
support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_demo_processor.html
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported
https://support.digitalwerk.net/issues/4093
http://www.tcpdf.org

